import React from 'react';
import { Box } from '../../../elements/Flex';
import { Button } from '../../../inputs/Button';
import { useWidgetContext } from '../../context';
import { ProgressBar } from './ProgressBar';
export var SessionItemProgress = function (_a) {
    var session = _a.session;
    var _b = useWidgetContext().provider, openApp = _b.openApp, selectAppsIds = _b.selectAppsIds;
    var appId = selectAppsIds().atqId;
    var action = function () {
        return openApp(appId, { action: 'open-session', id: session['ogit/_id'] });
    };
    if (!session['/teaching_step_progress']) {
        return (React.createElement(Button, { secondary: true, onClick: action }, "New"));
    }
    var rooms = Number(session['/teaching_rooms']) | 0;
    var roomsCompleted = Number(session['/teaching_rooms_completed']) | 0;
    var progress = rooms && roomsCompleted / rooms;
    return (React.createElement(React.Fragment, null,
        React.createElement(Box, null, roomsCompleted + " / " + rooms + " Steps complete"),
        React.createElement(ProgressBar, { progress: progress })));
};
